Commit 62915eb9 authored by Sylvain Thénault's avatar Sylvain Thénault
Browse files

[cube dist] fix setup.py, we get the cube also installed in lib/python that may crash

parent af0bee5495e4
...@@ -142,12 +142,9 @@ def install(**kwargs): ...@@ -142,12 +142,9 @@ def install(**kwargs):
# install-layout option was introduced in 2.5.3-1~exp1 # install-layout option was introduced in 2.5.3-1~exp1
elif sys.version_info < (2, 5, 4) and '--install-layout=deb' in sys.argv: elif sys.version_info < (2, 5, 4) and '--install-layout=deb' in sys.argv:
sys.argv.remove('--install-layout=deb') sys.argv.remove('--install-layout=deb')
kwargs['package_dir'] = {modname : '.'}
packages = [modname] + get_packages(os.getcwd(), modname)
if USE_SETUPTOOLS and install_requires: if USE_SETUPTOOLS and install_requires:
kwargs['install_requires'] = install_requires kwargs['install_requires'] = install_requires
kwargs['dependency_links'] = dependency_links kwargs['dependency_links'] = dependency_links
kwargs['packages'] = packages
return setup(name = distname, return setup(name = distname,
version = version, version = version,
license = license, license = license,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment